#!/bin/sh

rm Makefile.link
ln -s Makefile Makefile.link

echo "test -l Makefile.link" | sh

if test $? = 0; then
   echo "test -l"
   exit 0
fi

echo "test -L Makefile.link" | sh

if test $? = 0; then
   echo "test -L"
   exit 0
fi

echo "test -h Makefile.link" | sh

if test $? = 0; then
   echo "test -h"
   exit 0
fi
